Package Details: libpcanbasic 4.3.2-1

Git Clone URL: https://aur.archlinux.org/libpcanbasic.git (read-only, click to copy)
Package Base: libpcanbasic
Description: API for the development of applications with PEAK CAN connection for Linux
Upstream URL: https://www.peak-system.com/PCAN-USB.199.0.html
Licenses: LGPL
Submitter: TheNiceGuy
Maintainer: TheNiceGuy
Last Packager: TheNiceGuy
Votes: 1
Popularity: 0.003538
First Submitted: 2018-12-07 22:31
Last Updated: 2019-11-17 03:40

Latest Comments

exor commented on 2019-11-05 11:02

Validity check does not pass in current version. Please upgrade to 4.3.2 or update hash.

here is a patch for version upgrade:

--- PKGBUILD.old        2019-11-05 11:57:27.023860741 +0100
+++ PKGBUILD    2019-11-05 11:55:37.389109409 +0100
@@ -1,7 +1,7 @@
 # Maintainer: Gabriel-Andrew Pollo-Guilbert <gabrielpolloguilbert@gmail.com>

 pkgname=libpcanbasic
-pkgver=4.3.1
+pkgver=4.3.2
 pkgrel=1
 pkgdesc='API for the development of applications with PEAK CAN connection for Linux '
 arch=('x86_64')
@@ -12,7 +12,7 @@
     "https://www.peak-system.com/produktcd/Develop/PC%20interfaces/Linux/PCAN-Basic_API_for_Linux/PCAN-Basic_Linux-${pkgver}.tar.gz"
 )
 sha256sums=(
-    "b88f5a73ebe6a52a58f005ae4a205c937ed317445a95de58b6872af69f1f9524"
+    "5e37d48c7f21094b16a12d9cd6d2bac988ecfe3ed34e449a43058fb25903e336"
 )

 prepare() {

Jarhmander commented on 2019-06-02 19:50

I realized that the out-of-date request text isn't automatically added to the comment section, so here it is:

There's a new version available (4.3.1) and with this version, the archive name as well as its internal structure changed a little. Here's a patch that fix that: https://pastebin.com/a9Wykj7T

The old version is no longer available so the fix is pretty much needed.